#### Building instructions.
#
### Overview of rebuild options:
#
# --define "kernel kernelver" 	: Build for kernel <kernelver> instead of the current. 
#
### Examples:
#
# rpmbuild -bb eagle-usb.spec --target "$(uname -m)"  --define "kernel 2.6.13-1.1532_FC4smp"
#
#### End of Building instructions.

%{!?kernel: %{expand: %%define kernel %(uname -r)}}

Summary: 	Utilities for Eagle driven usb modem
Summary(fr): Outils pour modem USB utilisant le controleur Eagle
Name: 	eagle-usb
Version: 	2.3.2
Release: 	5.%{distrib}.remi
License: 	GPL
Group: 	Networking/Daemons
Source0: 	%{name}-%{version}.tar.bz2
Patch1: 	%{name}-make.patch
Patch2: 	%{name}-init.patch
Patch3: 	%{name}-2.6.14.patch
URL: 		http://www.eagle-usb.org

Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: 	%{name} = %{version}
Obsoletes: 	adiusbadsl, eagle
Requires:  	ppp

%if "%{distrib}" == "fc3"
BuildRequires:  kernel-%{_target_cpu} = %{kernel}
%else
BuildRequires:  kernel-devel-%{_target_cpu} = %{kernel}
%endif


%description
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

Depending on your setup/isp, you might also need ppp and/or a dhcp client.

You'll find latest revision of this driver and a dedicated french
newsgroup at the following URL: http://www.eagle-usb.org

%description -l fr
Une version améliorée du pilote Linux  pour les models DSL utilisant
le controleur analogique Eagle 8051. Le modem Sagem F@st 800 et les
modems DSL USRobotics notament utilisent ce controleur.

Suivant vos réglages et votre FAI, vous pouvez aussi avoir besoin
de ppp et/ou d'un client dhcp.

Vous pouvez trouver la dernière version de ce pilote et un
forum de discussion en français à l'adresse suivante :
http://www.eagle-usb.org

%prep
%setup -q
%patch1
%patch2
%patch3

%build
%configure --with-kernel-src=/lib/modules/%{kernel}/build
make %{?_smp_mflags} GEN_DOC=yes

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
echo "Don't forget to run eagleconfig"
hash -r

%preun
%{_sbindir}/fctStopAdsl -sf
if [ $1 -eq 0 ] ; then
	# disable autostart service
	# - mandrake specific script
	if test -e /etc/init.d/internet ; then \
		/sbin/chkconfig --del internet &>/dev/null ; \
	fi
	# - generic script
	if test -e %{_sysconfdir}/init.d/eagle-usb ; then \
		/sbin/chkconfig --del eagle-usb &>/dev/null ; \
		/sbin/update-rc.d -f eagle-usb remove &>/dev/null ; \
	fi
fi
# return 0
echo -n

%postun
hash -r

%files
%defattr(-,root,root)
#%doc README TODO
%{_mandir}/man8/eagleconfig.8*
%{_mandir}/man8/eagleconfig_front.bash.8*
%{_mandir}/man8/eaglectrl.8*
%{_mandir}/man8/eaglediag.8*
%{_mandir}/man8/eaglestat.8*
%{_mandir}/man8/eagletestconnec.8*
%{_mandir}/man8/fctStartAdsl.8*
%{_mandir}/man8/fctStopAdsl.8*
%{_mandir}/man8/pppoa.8*
%{_mandir}/man8/startadsl.8*
%{_mandir}/man8/stopadsl.8*

%{_sbindir}/fctStartAdsl
%{_sbindir}/fctStopAdsl
%{_sbindir}/startadsl
%{_sbindir}/stopadsl
%{_sbindir}/eagleconnect.tcl
%{_sbindir}/eagleconfig
%{_sbindir}/eagleconfig_front.bash
%{_sbindir}/eaglectrl
%{_sbindir}/eaglediag
%{_sbindir}/eaglestat
%{_sbindir}/eagletestconnec
%{_sbindir}/pppoa

%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/CMVei.txt
%{_sysconfdir}/%{name}/CMVep.txt
%{_sysconfdir}/%{name}/CMVepES.txt
%{_sysconfdir}/%{name}/CMVepFR.txt
%{_sysconfdir}/%{name}/CMVepIT.txt
%{_sysconfdir}/%{name}/eagle-usb.conf.template
%{_sysconfdir}/%{name}/ppp_options.template
%{_sysconfdir}/%{name}/setvars
%{_sysconfdir}/%{name}/eagle-usb_must_be_configured
%{_sysconfdir}/%{name}/CMVeiWO.txt
%{_sysconfdir}/%{name}/CMVepES03.txt
%{_sysconfdir}/%{name}/CMVepFR04.txt
%{_sysconfdir}/%{name}/CMVepFR10.txt
%{_sysconfdir}/%{name}/CMVepWO.txt 

%dir %{_datadir}/%{name}/dsp
%{_datadir}/%{name}/dsp/dsp_code_pots.bin
%{_datadir}/%{name}/dsp/dsp_code_isdn.bin

%dir %{_datadir}/%{name}/lang
%{_datadir}/%{name}/lang/br
%{_datadir}/%{name}/lang/cz
%{_datadir}/%{name}/lang/de
%{_datadir}/%{name}/lang/en
%{_datadir}/%{name}/lang/es
%{_datadir}/%{name}/lang/fr
%{_datadir}/%{name}/lang/f2
%{_datadir}/%{name}/lang/gr
%{_datadir}/%{name}/lang/it
%{_datadir}/%{name}/lang/mk
%{_datadir}/%{name}/lang/pl

%dir %{_sysconfdir}/%{name}/eagleconnect
%{_sysconfdir}/%{name}/eagleconnect/diagnostic.tcl

%dir %{_sysconfdir}/%{name}/eagleconnect/lang
%{_sysconfdir}/%{name}/eagleconnect/images/fichierssysteme.ppm
%{_sysconfdir}/%{name}/eagleconnect/images/fonts.ppm
%{_sysconfdir}/%{name}/eagleconnect/lang/doc_fr.txt
%{_sysconfdir}/%{name}/eagleconnect/lang/fr.msg
%{_sysconfdir}/%{name}/eagleconnect/parameagleconnect.tcl
%{_sysconfdir}/%{name}/eagleconnect/reseau.tcl

%{_sysconfdir}/sysconfig/network-scripts/net_cnx_*
%{_sysconfdir}/hotplug/usb/eagle-usb
%{_sysconfdir}/init.d/eagle-usb
%config(noreplace) %{_sysconfdir}/%{name}/eagleconnect.conf
#( % configure )

%changelog
* Tue Nov  1 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-5.fc4.remi
- patch for kernel-2.6.14 (URB_ASYNC_UNLINK) From: Damian Wrobel <dwrobel@ertel.com.pl>

* Fri Oct 28 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-4.fc3.remi
- FC3 

* Sat Oct 22 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-3.fc4.remi
- change spec : build for other kernel than one running
- French translation of Sumnary and Description

* Fri Jul 15 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-2.FC4.remi
- eagle-usb-init.patch : cas "driver not loaded"

* Sun Jul 10 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-1.0.FC4.remi
- build for FC4
- patch make (http://forum.eagle-usb.org/viewtopic.php?p=21204#21204)
- patch init (pbm eaglectrl -d sous FC4)

* Mon Mar 28 2005 Olivier Borowski <coin@tuxfamily.org> 2.3.0
- ChangeLog: check http://www.eagle-usb.org

* Sun Nov 07 2004 Olivier Borowski <coin@tuxfamily.org> 2.0.0
- ChangeLog: check http://www.eagle-usb.org

* Sun Sep 29 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.9.1
- ChangeLog: check http://www.eagle-usb.org

* Tue Jun 08 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.8
- ChangeLog: check http://www.eagle-usb.org

* Mon Mar 22 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.7
- separate eagleconfig into two parts
- change hotplug scripts location
- improved uninstall method
- minor changes & bugfixes...

* Wed Mar 04 2004 Frederic Hermann <Frederic.Hermann@neptune.fr> 1.9.6-2
- Change "/usr/local/sbin" to "%{prefix}"
- Use default rpm "./configure" values
- replace "/etc" by "%{sysconfdir}"

* Fri Feb 20 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.6
- ChangeLog: check http://www.eagle-usb.org

* Sat Feb 14 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.5
- ChangeLog: check http://www.eagle-usb.org

* Mon Dec 22 2003 Hervé Guehl <herve@linusk.net> 1.9.0
- Initial Revision (RH9.0 - kernel2.6)

#=============================== kernel module ===============================
%package -n kernel-module-%{name}-%{kernel}
Summary: 	Kernel module for Eagle driven usb modem
Summary(fr): 	Moddule du noyau pour modem USB utilisant le controleur Eagle
Group:		System Environment/Kernel
Requires:  	%{name} >= %{version}
Requires: 	/boot/vmlinuz-%{kernel}

%description -n kernel-module-%{name}-%{kernel}
Kernel module for Analog chipset Eagle 8051 The Sagem F@st 800/908 modem as well as
USRobotics DSL modems are based on this chipset.

This package is built for kernel %{kernel} (%{_target_cpu}).

%description -n kernel-module-%{name}-%{kernel} -l fr
Module du noyau pour le controleur Eagle. Le modem Sagem F@st 800 et les
modems DSL USRobotics notament utilisent ce controleur.

Ce RPM est contruit pour le noyau %{kernel} (%{_target_cpu}).

%pre -n kernel-module-%{name}-%{kernel}

%post -n kernel-module-%{name}-%{kernel}
if [ -r /boot/System.map-%{kernel} ] ; then
  /sbin/depmod -e -F /boot/System.map-%{kernel} %{kernel} > /dev/null || :
fi

%preun -n kernel-module-%{name}-%{kernel}
if lsmod | grep -q eagle-usb ; then
	rmmod eagle-usb
fi

%postun -n kernel-module-%{name}-%{kernel}
if [ -r /boot/System.map-%{kernel} ] ; then
  /sbin/depmod -e -F /boot/System.map-%{kernel} %{kernel} > /dev/null || :
fi

%files -n kernel-module-%{name}-%{kernel}
%defattr(-,root,root)
/lib/modules/%{kernel}/misc/eagle-usb.*

%changelog kernel-module-%{name}-%{kernel}
* Thu Nov 10 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-5.fc4.remi
- build for kernel-2.6.14-1.1637_FC3

* Tue Nov  1 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-5.fc4.remi
- build for kernel-2.6.14-1.1633_FC3
- patch for kernel-2.6.14 (URB_ASYNC_UNLINK) From: Damian Wrobel <dwrobel@ertel.com.pl>

* Fri Oct 28 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-4.fc3.remi
- build for kernel-2.6.12-1.1381_FC3
- "depmod -e -F ..." in post and postun

* Sat Oct 22 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-3.fc4.remi
- build for kernel-2.6.13-1.1532_FC4
- French translation of Sumnary and Description

* Fri Jul 15 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-2.FC4.remi
- build for new kernel

* Sun Jul 10 2005 Remi Collet <remi.collet@univ-reims.fr> 2.3.2-1.0.FC4.remi
- build for FC4
- patch make (http://forum.eagle-usb.org/viewtopic.php?p=21204#21204)
- patch init (pbm eaglectrl -d sous FC4)
- rename RPM tu standard kernel-module-eagle...

* Mon Mar 28 2005 Olivier Borowski <coin@tuxfamily.org> 2.3.0
- ChangeLog: check http://www.eagle-usb.org

* Sun Nov 07 2004 Olivier Borowski <coin@tuxfamily.org> 2.0.0
- ChangeLog: check http://www.eagle-usb.org

* Tue Jun 08 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.8
- ChangeLog: check http://www.eagle-usb.org

* Fri Feb 20 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.6
- ChangeLog: check http://www.eagle-usb.org

* Sat Feb 14 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.5
- ChangeLog: check http://www.eagle-usb.org

* Mon Dec 22 2003 Hervé Guehl <herve@linusk.net> 1.9.0
- Initial Revision (RH9.0 - kernel2.6)
